public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pycurl/
Date: Mon, 19 Feb 2024 20:38:05 +0000 (UTC)	[thread overview]
Message-ID: <1708375082.b450193edb70aa6c5f80fd1c2797e4f3570c187c.mgorny@gentoo> (raw)

commit:     b450193edb70aa6c5f80fd1c2797e4f3570c187c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 19 20:36:07 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 19 20:38:02 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b450193e

dev-python/pycurl: Bump to 7.45.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pycurl/Manifest             |  1 +
 dev-python/pycurl/pycurl-7.45.3.ebuild | 92 ++++++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/dev-python/pycurl/Manifest b/dev-python/pycurl/Manifest
index 12303b7d4f75..dcded486c50b 100644
--- a/dev-python/pycurl/Manifest
+++ b/dev-python/pycurl/Manifest
@@ -1 +1,2 @@
 DIST pycurl-7.45.2.tar.gz 234245 BLAKE2B 16257a967d2867de08d83478f602d00b54316d37b6a544804e606a814f61507530fb7e1ef3247be824dfa22b9487a69bbfc9b1038b2b776ebc556b18ed2d93ca SHA512 8a82346395acfc0bd37a8c4d8d2b17e5ab4602710308ed50f9ed88c223c73f15f5b1c95fc6191708e3bd9d647e4bc5ec91f740de433dd87e2ae0796ac79879ac
+DIST pycurl-7.45.3.tar.gz 236470 BLAKE2B 690e49f92f569352e26d95a0fa58508c4e96c845c7e3ae1169b8bc55036902f64859987880565217df56a57031dc2775e3c6979b4cfdf8a8c9a94c67ae94cb79 SHA512 12a55070602a1fd22b160ad582a4001bdd28531d2b2ccd365ff0136bc13dd23af80b19488bdbbc60a902a3a362b64383b9ae6acce6ed328c74dcffc8a6a3f4ad

diff --git a/dev-python/pycurl/pycurl-7.45.3.ebuild b/dev-python/pycurl/pycurl-7.45.3.ebuild
new file mode 100644
index 000000000000..648cbccc1c07
--- /dev/null
+++ b/dev-python/pycurl/pycurl-7.45.3.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi toolchain-funcs
+
+DESCRIPTION="Python bindings for curl/libcurl"
+HOMEPAGE="
+	http://pycurl.io/
+	https://github.com/pycurl/pycurl/
+	https://pypi.org/project/pycurl/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="curl_ssl_gnutls +curl_ssl_openssl examples ssl"
+
+# Depend on a curl with curl_ssl_* USE flags.
+# libcurl must not be using an ssl backend we do not support.
+# If the libcurl ssl backend changes pycurl should be recompiled.
+# If curl uses gnutls, depend on at least gnutls 2.11.0 so that pycurl
+# does not need to initialize gcrypt threading and we do not need to
+# explicitly link to libgcrypt.
+DEPEND="
+	>=net-misc/curl-7.25.0-r1:=[ssl=]
+	ssl? (
+		net-misc/curl[curl_ssl_gnutls(-)=,curl_ssl_openssl(-)=,-curl_ssl_axtls(-),-curl_ssl_cyassl(-)]
+		curl_ssl_gnutls? ( >=net-libs/gnutls-2.11.0:= )
+		curl_ssl_openssl? ( dev-libs/openssl:= )
+	)
+"
+
+RDEPEND="
+	${DEPEND}
+"
+BDEPEND="
+	test? (
+		>=dev-python/bottle-0.12.7[${PYTHON_USEDEP}]
+		dev-python/flaky[${PYTHON_USEDEP}]
+		net-misc/curl[curl_ssl_gnutls(-)=,curl_ssl_openssl(-)=,-curl_ssl_axtls(-),-curl_ssl_cyassl(-),http2]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# docs installed into the wrong directory
+	sed -e "/setup_args\['data_files'\] = /d" -i setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+	# Override faulty detection in setup.py, bug #510974.
+	export PYCURL_SSL_LIBRARY=${CURL_SSL}
+}
+
+src_test() {
+	emake -C tests/fake-curl/libcurl CC="$(tc-getCC)"
+
+	distutils-r1_src_test
+}
+
+python_test() {
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	local EPYTEST_DESELECT=(
+		# refcounting tests are unreliable
+		tests/memory_mgmt_test.py::MemoryMgmtTest::test_readdata_refcounting
+		tests/memory_mgmt_test.py::MemoryMgmtTest::test_writedata_refcounting
+		tests/memory_mgmt_test.py::MemoryMgmtTest::test_writeheader_refcounting
+		# broken with curl 8.4.0+
+		tests/multi_callback_test.py::MultiCallbackTest::test_multi_socket_action
+		tests/multi_socket_select_test.py::MultiSocketSelectTest::test_multi_socket_select
+		# TODO
+		tests/option_constants_test.py::OptionConstantsTest::test_proxy_tlsauth
+		tests/option_constants_test.py::OptionConstantsTest::test_socks5_gssapi_nec_setopt
+	)
+
+	epytest -p flaky -p timeout --timeout=30 tests
+}
+
+python_install_all() {
+	local HTML_DOCS=( doc/. )
+	use examples && dodoc -r examples
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2024-02-19 20:38 UTC|newest]

Thread overview: 127+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-19 20:38 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-28 11:12 [gentoo-commits] repo/gentoo:master commit in: dev-python/pycurl/ Michał Górny
2024-06-28 11:12 Michał Górny
2024-06-06 14:03 Ionen Wolkens
2024-06-05  4:51 Michał Górny
2024-06-05  4:51 Michał Górny
2024-05-20 18:30 Sam James
2024-03-16 17:34 Arthur Zamarin
2024-03-16 17:06 Arthur Zamarin
2024-03-16 16:54 Arthur Zamarin
2024-03-16 16:46 Arthur Zamarin
2024-03-16 11:32 Arthur Zamarin
2024-03-16  9:30 Arthur Zamarin
2024-02-29  7:03 Sam James
2024-02-29  7:03 Sam James
2023-11-25  5:36 Sam James
2023-05-28 22:01 Sam James
2023-05-04 16:22 Michał Górny
2023-02-27  5:38 Michał Górny
2023-02-26 21:24 Sam James
2023-02-16 22:57 Sam James
2023-02-16 20:58 Arthur Zamarin
2023-02-16 18:08 Arthur Zamarin
2023-02-16 17:49 Arthur Zamarin
2023-02-16 17:22 Arthur Zamarin
2022-12-17 12:34 Michał Górny
2022-07-15  7:31 Michał Górny
2022-07-15  6:00 Arthur Zamarin
2022-07-15  0:45 Sam James
2022-07-15  0:45 Sam James
2022-07-14 20:12 Arthur Zamarin
2022-07-14 20:04 Arthur Zamarin
2022-07-14 19:09 Arthur Zamarin
2022-07-14 19:07 Arthur Zamarin
2022-07-14 19:04 Arthur Zamarin
2022-06-17  4:54 Michał Górny
2022-06-16 23:05 Jakov Smolić
2022-06-16 23:05 Jakov Smolić
2022-06-16 10:39 Jakov Smolić
2022-06-16 10:15 Jakov Smolić
2022-06-16  9:40 Jakov Smolić
2022-06-16  9:37 Jakov Smolić
2022-06-16  9:37 Jakov Smolić
2022-06-16  9:33 Jakov Smolić
2022-06-12  6:06 Sam James
2022-05-13  9:08 Michał Górny
2022-05-13  9:08 Michał Górny
2022-05-05  2:40 WANG Xuerui
2021-10-08  6:21 Michał Górny
2021-10-08  5:02 Sam James
2021-09-12 22:59 Sam James
2021-09-12  8:12 Sam James
2021-09-12  7:37 Sam James
2021-09-12  7:24 Agostino Sarubbo
2021-09-12  7:22 Agostino Sarubbo
2021-09-12  7:21 Agostino Sarubbo
2021-09-12  7:09 Agostino Sarubbo
2021-08-16  5:39 Michał Górny
2021-08-09  6:28 Michał Górny
2021-07-02 12:26 Marek Szuba
2021-05-18 11:40 Michał Górny
2021-05-03 11:03 Mikle Kolyada
2020-11-08 13:09 Sam James
2020-10-28 16:31 Sam James
2020-10-26  7:29 Sergei Trofimovich
2020-10-25 23:42 Thomas Deutschmann
2020-10-25 23:30 Sam James
2020-10-24 17:46 Sergei Trofimovich
2020-10-24 11:08 Sergei Trofimovich
2020-10-24 11:03 Sergei Trofimovich
2020-09-21 15:30 Michał Górny
2020-09-18 15:30 Michał Górny
2020-09-02 22:05 Michał Górny
2020-08-27  5:55 Michał Górny
2020-08-24 15:50 Joonas Niilola
2020-08-24 15:11 Michał Górny
2020-08-24 12:35 Michał Górny
2020-08-22  9:15 Michał Górny
2020-07-17  7:44 Agostino Sarubbo
2020-07-08  7:18 Sergei Trofimovich
2020-07-08  7:11 Sergei Trofimovich
2020-07-06 11:57 Michał Górny
2020-07-05 16:36 Michał Górny
2020-06-08 16:34 Mart Raudsepp
2020-05-25 19:48 Michał Górny
2020-05-16 16:12 Michał Górny
2020-05-11 20:34 Sergei Trofimovich
2020-05-11 12:14 Michał Górny
2020-05-04 11:39 Michał Górny
2020-05-04  8:34 Michał Górny
2020-04-09 18:40 Sergei Trofimovich
2020-04-04 17:02 Mart Raudsepp
2020-03-28 17:21 Michał Górny
2020-03-20  9:58 David Seifert
2020-03-07 11:06 Agostino Sarubbo
2020-03-07 11:03 Agostino Sarubbo
2020-03-07 10:58 Agostino Sarubbo
2020-03-07 10:54 Agostino Sarubbo
2020-03-07 10:50 Agostino Sarubbo
2020-03-07  9:44 Agostino Sarubbo
2020-03-07  8:59 Agostino Sarubbo
2020-03-07  8:25 Agostino Sarubbo
2020-03-02 15:09 Andrey Grozin
2019-10-22  0:08 Patrick McLean
2019-10-22  0:08 Patrick McLean
2019-03-09  8:22 Mikle Kolyada
2018-07-16 19:57 Michał Górny
2018-07-16 17:41 Michał Górny
2018-07-16 17:41 Michał Górny
2018-07-16 17:41 Michał Górny
2018-07-16 17:41 Michał Górny
2018-02-21 22:11 Michał Górny
2017-06-09 15:57 Anthony G. Basile
2017-05-19 13:37 Michael Weber
2017-01-29 17:15 Fabian Groffen
2017-01-21 11:48 Jeroen Roovers
2016-12-06 19:36 Markus Meier
2016-11-27 15:09 Tobias Klausmann
2016-11-25 18:54 Agostino Sarubbo
2016-11-25 18:27 Agostino Sarubbo
2016-02-07 12:00 Justin Lecher
2016-01-06 21:06 Justin Lecher
2015-11-20  1:23 Mike Frysinger
2015-11-04 14:15 Justin Lecher
2015-11-03 10:24 Justin Lecher
2015-10-22 11:09 Justin Lecher
2015-10-03 14:40 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1708375082.b450193edb70aa6c5f80fd1c2797e4f3570c187c.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox